Bug 131272 - Missing install-info and ldconfig calls
Missing install-info and ldconfig calls
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-30 13:24 EDT by Matthias Saou
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 00:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2004-08-30 13:24:36 EDT
Description of problem:
The current gettext-devel package contains shared libraries and an
info file, but no scriplets to run either /sbin/ldconfig nor
/sbin/install-info.

Version-Release number of selected component (if applicable):
gettext-devel-0.14.1

How reproducible:
Always.

Steps to Reproduce:
1. rpm -q --scripts gettext-devel-0.14.1
  
Actual results:
Nothing.

Expected results:
%post
/sbin/ldconfig
                                                                     
          /sbin/install-info %{_infodir}/autosprintf.info.gz
%{_infodir}/dir

%preun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/autosprintf.info.gz
%{_infodir}/dir
fi

%postun
/sbin/ldconfig

Additional info:
None.
Comment 1 Michael Schwendt 2004-09-26 10:56:41 EDT
Are the links

  /usr/lib/libgettextlib.so -> libgettextlib-0.14.1.so
  /usr/lib/libgettextsrc.so -> libgettextsrc-0.14.1.so

needed at run-time? If not, they should be moved into the
gettext-devel package. "rpm -qR gettext" lists dependencies on
libgettextlib-0.14.1.so and libgettextsrc-0.14.1.so only.
Comment 2 Leon Ho 2004-10-04 00:26:33 EDT
Thanks for the reporting. It is fixed in rawhide. 

Note You need to log in before you can comment on or make changes to this bug.